Bug 502041 - asterisk 1.6.1 spec file BuildRequires needs updating for speex version
asterisk 1.6.1 spec file BuildRequires needs updating for speex version
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 11:33 EDT by Andrew Rechenberg
Modified: 2009-09-10 08:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Quick fix for speex BR in asterisk.spec (281 bytes, patch)
2009-05-21 11:33 EDT, Andrew Rechenberg
no flags Details | Diff

  None (edit)
Description Andrew Rechenberg 2009-05-21 11:33:43 EDT
Created attachment 344982 [details]
Quick fix for speex BR in asterisk.spec

Description of problem:
Building of asterisk RPM from spec file as of 1.6.1-0.23.rc1 fails if speex-devel RPM is version < 1.2.

Version-Release number of selected component (if applicable):
asterisk-1.6.1-0.23.rc1

How reproducible:

Everytime

Try to rpmbuild asterisk-1.6.1-0.23.rc1 with a versions of speex-devel < 1.2


Steps to Reproduce:
1. Try to rpmbuild asterisk-1.6.1-0.23.rc1 with a versions of speex-devel < 1.2


Additional info:

speex-1.2 is standard fair in Fedora but it isn't in el5.

In building my own Koji instance to build asterisk for el5 I tried to use the speex RPMs from EPEL and the build of the asterisk SRPM failed.  When I rebuilt the current speex RPM from f11 and added it to my Koji server the asterisk RPM built fine.  

Here is the build.log entry from Koji:

***********************************************************
  The existing menuselect.makeopts file did not specify    
  that 'codec_speex' should not be included.  However, either some  
  dependencies for this module were not found or a         
  conflict exists.                                         
                                                           
  Either run 'make menuselect' or remove the existing      
  menuselect.makeopts file to resolve this issue.          
***********************************************************
***********************************************************
  The existing menuselect.makeopts file did not specify    
  that 'func_speex' should not be included.  However, either some  
  dependencies for this module were not found or a         
  conflict exists.                                         
                                                           
  Either run 'make menuselect' or remove the existing      
  menuselect.makeopts file to resolve this issue.          
***********************************************************
make: *** [menuselect.makeopts] Error 255
RPM build errors:
Comment 1 Andrew Rechenberg 2009-05-21 11:34:47 EDT
There may be other BR that need updating so that the spec will build properly for el5.  This is just one that I found
Comment 2 Bug Zapper 2009-06-09 12:16:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeffrey C. Ollie 2009-09-10 08:03:19 EDT
This should be fixed in asterisk-1.6.1.6-2.fc12 in rawhide.  It'll eventually filter down to other releases.

Note You need to log in before you can comment on or make changes to this bug.